<?php
/**
 * pd Stats Panel (PHP-Fusion)
 * User and Guest Statistic Panel
 * @author: pirdani <http://www.pirdani.de> <kontakt@pirdani.de>
 * @version 1.9.1
 * 
 * Release under the terms & conditions of v3 or higher
 * of the GNU General Public License. For details refer 
 * to the included gpl.txt file or visit http://gnu.org
 *
 */

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pd_stats_panel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['pds100'];
$inf_description = $locale['pds101'];
$inf_version = "1.9.1";
$inf_developer = "pirdani";
$inf_email = "kontakt@pirdani.de";
$inf_weburl = "http://www.pirdani.de";

$inf_folder = "pd_stats_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "pd_stats_admin.php"; // The admin panel filename if required.

$inf_newtables = 7; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "pd_stats_browser (
  browser varchar(50) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (browser)
) TYPE=MyISAM;";

$inf_newtable_[2] = "pd_stats_counter (
  standing bigint(2) NOT NULL default '0',
  maxonline bigint(1) NOT NULL default '0',
  maxday bigint(1) NOT NULL default '0'
) TYPE=MyISAM;";

$inf_newtable_[3] = "pd_stats_os (
  os varchar(50) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (os)
) TYPE=MyISAM;";

$inf_newtable_[4] = "pd_stats_referer (
  referer varchar(200) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (referer)
) TYPE=MyISAM;";

$inf_newtable_[5] = "pd_stats_temp (
  id bigint(15) UNSIGNED NOT NULL AUTO_INCREMENT,
  timestamp bigint(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable_[6] = "pd_stats_month (
  id bigint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  month varchar(2) NOT NULL default '',
  year varchar(4) NOT NULL default '',
  stat bigint(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable_[6] = "pd_stats_month (
  id bigint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  month varchar(2) NOT NULL default '',
  year varchar(4) NOT NULL default '',
  stat bigint(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable_[7] = "pd_stats_settings (
  reload varchar(20) NOT NULL default '3600',
  special1 varchar(200) NOT NULL default '[',
  special2 varchar(200) NOT NULL default ']',
  pd_stats_gaeste varchar(1) NOT NULL default 'Y',
  pd_stats_members varchar(1) NOT NULL default 'Y',
  pd_stats_register varchar(1) NOT NULL default 'Y',
  pd_stats_unaktiv varchar(1) NOT NULL default 'Y',
  pd_stats_new varchar(1) NOT NULL default 'Y',
  pd_stats_heute varchar(1) NOT NULL default 'Y',
  pd_stats_online varchar(1) NOT NULL default 'Y',
  pd_stats_maxonline varchar(1) NOT NULL default 'Y',
  pd_stats_maxday varchar(1) NOT NULL default 'Y',
  pd_stats_gestern varchar(1) NOT NULL default 'Y',
  pd_stats_monat varchar(1) NOT NULL default 'Y',
  pd_stats_gesamt varchar(1) NOT NULL default 'Y',
  pd_stats_last_24h varchar(1) NOT NULL default 'Y'
) TYPE=MyISAM;";

$inf_droptable_[1] = "pd_stats_browser";
$inf_droptable_[2] = "pd_stats_counter";
$inf_droptable_[3] = "pd_stats_os";
$inf_droptable_[4] = "pd_stats_referer";
$inf_droptable_[5] = "pd_stats_temp";
$inf_droptable_[6] = "pd_stats_month";
$inf_droptable_[7] = "pd_stats_settings";

?>

